ZFS-SHARE(8)

NAME
zfs-share - Shares and unshares available ZFS filesystems.

SYNOPSIS
zfs share -a | filesystem
zfs unshare -a | filesystem|mountpoint

DESCRIPTION

    zfs share -a | filesystem Shares available ZFS file systems.

    -a  Share all available ZFS file systems. Invoked automatically as part of the boot process.

    filesystem
        Share the specified filesystem according to the sharenfs and sharesmb properties. File systems are shared when the sharenfs or sharesmb property is set.

    zfs unshare -a | filesystem|mountpoint Unshares currently shared ZFS file systems.

    -a  Unshare all available ZFS file systems. Invoked automatically as part of the shutdown process.

    filesystem|mountpoint
        Unshare the specified filesystem. The command can also be given a path to a ZFS file system shared on the system.

SEE ALSO
exports(5), smb.conf(5), zfsprops(8)